<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Function.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Function</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Function

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Function" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line489" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Function-inheritance" src="Function-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Function-inheritance_map" />
<map name="Function-inheritance_map"><area alt="Scopes/Synopsis/ASG/FunctionTemplate.html" href="FunctionTemplate.html" shape="rect" coords="5, 156, 211, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/HTML/Formatter.html" href="../Formatters/HTML/HTML/Formatter.html" shape="rect" coords="235, 156, 515, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/InheritanceGraph/InheritanceGraph.html" href="../Formatters/HTML/Views/InheritanceGraph/InheritanceGraph.html" shape="rect" coords="539, 156, 955, 180" />
<area alt="Scopes/Synopsis/Processors/TypeMapper/TypeMapper.html" href="../Processors/TypeMapper/TypeMapper.html" shape="rect" coords="979, 156, 1261, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/NameIndex/NameIndex.html" href="../Formatters/HTML/Views/NameIndex/NameIndex.html" shape="rect" coords="1285, 156, 1640, 180" />
<area alt="Scopes/Synopsis/ASG/Operation.html" href="Operation.html" shape="rect" coords="1664, 156, 1824, 180" />
<area alt="Scopes/Synopsis/ASG/Declaration.html" href="Declaration.html" shape="rect" coords="1036, 7, 1204, 31" />
</map>
 <div class="doc">Function declaration.
   Note that function names are stored in mangled form to allow overriding.
   Formatters should use the real_name to extract the unmangled name.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Function.html#__cmp__" >__cmp__</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Function.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line507" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="_real_name">_real_name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line496" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="premodifier">premodifier</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line497" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="return_type">return_type</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line498" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="parameters">parameters</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line499" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="postmodifier">postmodifier</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line500" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="exceptions">exceptions</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line501" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="real_name">real_name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line503" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">type</span>, <span class="variable">premod</span>, <span class="variable">return_type</span>, <span class="variable">postmod</span>, <span class="variable">name</span>, <span class="variable">real_name</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Function.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line494" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Function.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line505" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Declaration">
<tr><td colspan="2" class="heading">Attributes Inherited from Declaration</td></tr>
<tr><td class="inherited"><a href="Declaration.html#file" title="attribute Declaration.file">file</a>,
<a href="Declaration.html#line" title="attribute Declaration.line">line</a>,
<a href="Declaration.html#name" title="attribute Declaration.name">name</a>,
<a href="Declaration.html#type" title="attribute Declaration.type">type</a>,
<a href="Declaration.html#accessibility" title="attribute Declaration.accessibility">accessibility</a>,
<a href="Declaration.html#annotations" title="attribute Declaration.annotations">annotations</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Private Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__cmp__">__cmp__</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Function.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line507" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively compares the typespec of the function</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:54 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
